<script lang="ts">
  import { Aufstiegstyp, type Team } from "../model/models";

  const { team }: { team: Team } = $props();

  function getAufstieg(t: Team) {
    switch (t.aufstieg) {
      case Aufstiegstyp.AUFSTIEG_DIREKT:
        return "↑";
      case Aufstiegstyp.ABSTIEG_DIREKT:
        return "↓";
      case Aufstiegstyp.TEILNEHMER_AUFSTIEGSTURNIER:
        return "↗";
      case Aufstiegstyp.RELEGATION_HOEHER:
        return "↗";
      case Aufstiegstyp.RELEGATION_NIEDRIGER:
        return "↘";
      default:
        return "";
    }
  }

  function getRang(team: Team) {
    const rang = team.platzSkating || team.platz;
    if (rang) return rang + ".";
    return "";
  }
</script>

<span class="rang-symbol">
  {getRang(team)} {getAufstieg(team)}
</span>

<style lang="scss">
  .rang-symbol {
    display: inline-block;
  }
</style>